Subject: 23.0.60; vc-git-diff: diff switches can't be customized

From: Magnus Henoch <[email-masked]>
Date: Sun, 01 Jun 2008 16:12:46 +0200

[ edited resend from
  http://lists.gnu.org/archive/html/emacs-devel/2008-06/msg00018.html ]

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I opened etc/spook.lines in the Emacs Git tree, typed C-x v l, put point
on one revision and typed d to see the diff.  The result was just:

Binary files a/etc/spook.lines and b/etc/spook.lines differ

I then added "-a" to vc-diff-switches, but this had no effect.

I then found that vc-git-diff doesn't obey _any_ of diff-switches,
vc-diff-switches and vc-git-diff-switches, though the docstring of
vc-diff-switches implies that it would.

In GNU Emacs 23.0.60.1 (powerpc-unknown-netbsd4.99.42, X toolkit, Xaw3d scroll bars)
 of 2008-05-29 on zemdatav
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--with-x-toolkit=athena' '--enable-maintainer-mod' '--without-rsvg''